API7 Docs
API7 GatewayAPI7 Enterprise Developer Portal APIsGet an API Product for Developer Portal

Get an API Product for Developer Portal

GET /api/api_products/{api_product_id}

GET /api/api_products/{api_product_id}

Interactive request editor loads with JavaScript.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

api_product_id*string

The unique identifier of the API product.

Match^[a-zA-Z0-9-_.]+$
Length1 <= length <= 256

Response Body

application/json

application/json

application/json

application/json

curl -X GET "$API_BASE_URL/api/api_products/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101"

{
  "type": "gateway",
  "name": "Weather Insights API",
  "logo": "string",
  "desc": "The Weather Insights API provides real-time and historical weather data for any location worldwide.",
  "labels": {
    "version": "v2",
    "env": "prod"
  },
  "auth": {
    "key-auth": {
      "header": "apikey",
      "hide_credentials": false,
      "query": "apikey"
    }
  },
  "status": "draft",
  "subscription_auto_approval": false,
  "can_view_unsubscribed": true,
  "visibility": "public",
  "raw_openapis": [
    "Raw OpenAPI spec"
  ],
  "api_count": 10,
  "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z",
  "subscription_status": "unsubscribed"
}
Complete operation details and schema variants

GET /api/api_products/{api_product_id}

Get an API Product for Developer Portal

Parameters

  • api_product_id (path, string, required): The unique identifier of the API product.

Responses

  • 200:
  • allOf variant 1
  • oneOf variant 1: Gateway API Product
  • allOf variant 1
  • type (string, required):
  • name (string, required): The object name.
  • logo (string, optional): The base64-encoded logo image of the API product.
  • desc (string, optional): The description of the API product.
  • labels (object, optional): Key-value pairs of labels.
  • auth (object, required): The authentication configuration of the API product.
  • auth.key-auth (object, optional): Key authentication configurations.
  • auth.key-auth.hide_credentials (boolean, optional): If true, do not pass the header or query string with key to upstream services.
  • auth.key-auth.query (string, optional): The query string to get the key from. Lower priority than header.
  • auth.key-auth.header (string, optional): The header to get the key from.
  • auth.basic-auth (object, optional): Basic authentication configurations.
  • auth.basic-auth.hide_credentials (boolean, optional): If true, do not pass the header or query string with key to upstream services.
  • auth.dcr (object, optional): DCR authentication configurations.
  • auth.dcr.dcr_provider_id (string, required): ID of the DCR provider.
  • status (string, required): Status of the API product.
  • subscription_auto_approval (boolean, required): If true, the subscription is automatically approved.
  • can_view_unsubscribed (boolean, required): If true, developers can view the unsubscribed API.
  • visibility (string, required): The visibility of the API product in the API hub. public means the product is visible to all users and logged_in means the product is only visible to logged-in developers.
  • raw_openapis (array, optional): An array of raw OpenAPI specifications. It is only returned when getting an API product.
  • api_count (number, optional): API count. It is only returned when listing API products.
  • allOf variant 2
  • id (string, required): The object ID.
  • created_at (string, required): The time when the object was created in ISO 8601 format.
  • updated_at (string, required): The time when the object was last updated in ISO 8601 format.
  • oneOf variant 2: External API Product
  • allOf variant 1
  • allOf variant 1
  • type (string, required): Type of API product.
  • name (string, required): The object name.
  • raw_openapis (array, optional): An array of raw OpenAPI specifications. It is only returned when getting an API product.
  • status (string, required): Status of the API product.
  • visibility (string, required): The visibility of the API product in the API hub. public means the product is visible to all users and logged_in means the product is only visible to logged-in developers.
  • allOf variant 2
  • anyOf variant 1
  • server_url (string, required): The server URL. It should be configured if the server URL is not defined in the OpenAPI spec.
  • anyOf variant 2
  • server_urls (array, required): The server URLs. It should be configured if the server URLs are not defined in the OpenAPI spec.
  • allOf variant 2
  • tags (array, optional):
  • desc (string, optional): Description.
  • api_desc (string, optional): API description.
  • api_count (number, optional): API count.
  • allOf variant 3
  • id (string, required): The object ID.
  • created_at (string, required): The time when the object was created in ISO 8601 format.
  • updated_at (string, required): The time when the object was last updated in ISO 8601 format.
  • allOf variant 2
  • subscription_status (string, optional):
  • 400: Bad request.
  • status (integer, required): The HTTP status code of the error response.
  • message (string, required): The error message.
  • 401: Unauthorized. Response fields (application/json): identical to GET /api/api_products/{api_product_id}, response 400 above.
  • 404: Resource not found. Response fields (application/json): identical to GET /api/api_products/{api_product_id}, response 400 above.
  • 500: Internal server error.

cURL

curl -X GET '$API_BASE_URL/api/api_products/{api_product_id}'